Package org.apache.groovy.contracts.util

# Class Validate

java.lang.Object
org.apache.groovy.contracts.util.Validate

public class Validate extends Object

Internal utility class for in-code assertion checks.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Validate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `isTrue(boolean expression)`
  `static void`
  `notNull(Object obj)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Validate

    public Validate()

- ## Method Details

  - ### notNull

    public static void notNull(Object obj)

  - ### isTrue

    public static void isTrue(boolean expression)